## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}
%global mod_name alternative-toolbar

Name:		rhythmbox-alternative-toolbar
Version:	0.20.4
Release:	%autorelease
Summary:	Client-side decorated compact toolbar for Rhythmbox
License:	GPL-3.0-or-later

URL:		https://github.com/fossfreedom/alternative-toolbar
Source0:	%{url}/releases/download/v%{version}/%{mod_name}-%{version}.tar.xz
Source1:	%{url}/releases/download/v%{version}/%{mod_name}-%{version}.tar.xz.asc
Source2:	https://keyserver.ubuntu.com/pks/lookup?op=get&search=0x1e1fb0017c998a8ae2c498a6c2eaa8a26adc59ee#/1E1FB0017C998A8AE2C498A6C2EAA8A26ADC59EE.gpg

BuildRequires:	gcc
BuildRequires:	intltool
BuildRequires:	glib2-devel
BuildRequires:	python3-gobject
BuildRequires:	gtk3
BuildRequires:	gobject-introspection
BuildRequires:	rhythmbox-devel
BuildRequires:	make

BuildRequires:	gnupg2

Requires:	rhythmbox

ExcludeArch:	s390 s390x

%description
Alternative Toolbar replaces the Rhythmbox large toolbar with a Client-Side
Decorated or Compact toolbar which can be hidden.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -n %{mod_name}-%{version}

%build
%configure
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/rhythmbox/plugins/%{mod_name}/LICENSE
%find_lang %{mod_name}

%files -f %{mod_name}.lang
%{_libdir}/rhythmbox/plugins/%{mod_name}/
%{_datadir}/rhythmbox/plugins/%{mod_name}
%{_datadir}/glib-2.0/schemas/org.gnome.rhythmbox.plugins.alternative_toolbar.gschema.xml
%{_datadir}/metainfo/org.gnome.rhythmbox.alternative-toolbar.addon.appdata.xml
%license LICENSE
%doc README.md

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 23 2023 Zephyr Lykos <git@mochaa.ws> - 0.20.4-1
- Update to 0.20.4

* Tue Jan 24 2023 Zephyr Lykos <fedora@mochaa.ws> - 0.20.3-1
- Upgrade to 0.20.3

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Sep 09 2020 Petr Viktorin <pviktori@redhat.com> - 0.18.4-4
- Remove BuildRequires on pygobject2

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Tonet Jallo <tonet666p@fedoraproject.org> 0.18.4-1
- Upstream 0.18.4

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Apr 26 2017 Tonet Jallo <tonet666p@fedoraproject.org> 0.17.3-6
- Improved the package summary.

* Mon Apr 17 2017 Tonet Jallo <tonet666p@fedoraproject.org> 0.17.3-5
- Removed the noarch label to resolv bug 1434240

* Wed Mar 8 2017 Athos Ribeiro <athoscr@fedoraproject.org> 0.17.3-4
- Make the package arched

* Tue Mar 7 2017 Tonet Jallo <tonet666p@fedoraproject.org> 0.17.3-3
- Using the LICENSE file located on buildroot instead libdir
- Using macro at autogen.sh
- Removed duplicated directories on files section
- Added version macro to Source0
- Removed dots on changelog
- Added BuildArch to noarch and ExclusiveArch both instead ExcludedArch only

* Thu Mar 2 2017 Tonet Jallo <tonet666p@fedoraproject.org> 0.17.3-2
- Excluded the same architectures from rhythmbox spec
- Changed the source link
- Added directories on files section
- Added versions on changelog
- Removed duplicated license file

* Sun Feb 26 2017 Tonet Jallo <tonet666p@fedoraproject.org> 0.17.3-1
- Initial packaging

## END: Generated by rpmautospec
